# MimeType : Object
Return to: HTML DOM Level 0 index

Representation of a MIME (Multipart Internet Mail Extension) data type.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
MimeType Constructor() : MimeType Creates a new instance of a MimeType object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

### MimeType() : MimeType

Creates a new instance of a MimeType object.

Returns

MimeType |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
description : String Description of the MIME type. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

enabledPlugin : Object Reference to the Plugin object that is configured for the MIME type. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

suffixes : String String listing possible file extensions for the MIME type, separated by commas. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

type : String Name of the MIME type. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

## References

Navigator|Plugin

## Availability

Netscape 3

text_javascript aptana_docs